package com.novayre.jidoka.robot;

import java.io.Serializable;

/**
 * Class to store the context across robot executions.
 * 
 * @author Jidoka
 */
public class DriverContext implements Serializable  {

	/**
	 * Serial.
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Default value when the context is created by the first time or it is
	 * reset.
	 */
	private static final String DEFAULT_VALUE_EMPTY = "empty";
	
	/**
	 * Variable to store Chrome driver version into the context.
	 */
	private String lastChromeDriverVersion;
	
	/**
	 * Variable to store IE Driver version into the context.
	 */
	private String lastIEDriverVersion;
	
	/**
	 * Variable to store Firefox driver version into the context.
	 */
	private String lastFirefoxDriverVersion;
	
	/**
	 * Initialization to the default value.
	 */
	public DriverContext() {
		lastChromeDriverVersion = DEFAULT_VALUE_EMPTY;
		lastIEDriverVersion = DEFAULT_VALUE_EMPTY;
		lastFirefoxDriverVersion = DEFAULT_VALUE_EMPTY;
	}
	
	public String getLastChromeDriverVersion() {
		return lastChromeDriverVersion;
	}
	
	public void setLastChromeDriverVersion(String lastChromeDriverVersion) {
		this.lastChromeDriverVersion = lastChromeDriverVersion;
	}
	
	public String getLastIEDriverVersion() {
		return lastIEDriverVersion;
	}
	
	public void setLastIEDriverVersion(String lastIEDriverVersion) {
		this.lastIEDriverVersion = lastIEDriverVersion;
	}
	
	public String getLastFirefoxDriverVersion() {
		return lastFirefoxDriverVersion;
	}
	
	public void setLastFirefoxDriverVersion(String lastFirefoxDriverVersion) {
		this.lastFirefoxDriverVersion = lastFirefoxDriverVersion;
	}
}